import { IBuildable, ICleanable, IResetable, IState, ObjectProperties } from './types';
export declare class ObjectState<TObject> implements IState, ICleanable, IResetable, IBuildable<TObject> {
    properties: ObjectProperties<TObject>;
    get isDirty(): boolean;
    constructor(obj: TObject);
    build(): TObject;
    clean(): void;
    reset(): void;
}
