import { IBuildable, ICleanable, IResetable, IState, ObjectProperties } from './types';
export declare class PropertiesState<TObject> implements IState, IBuildable<TObject>, ICleanable, IResetable {
    private _properties;
    private _original;
    private _key;
    get isDirty(): boolean;
    get key(): string;
    constructor(key: string, obj: TObject, properties: ObjectProperties<TObject>);
    build(): TObject;
    clean(): void;
    reset(): void;
}
